Bug 186290 - CIFS can create files but can't read files
CIFS can create files but can't read files
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Layton
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-03-22 13:57 EST by Mick Canning
Modified: 2014-06-18 03:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-21 09:46:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 6147 None None None Never
Samba Project 3621 None None None Never

  None (edit)
Description Mick Canning 2006-03-22 13:57:41 EST
Description of problem:
Mounted a share from the file server (W2k3) using the following command.
mount -t cifs //filserver/shared /sdrive -o

I can create files on this share but cannot read them.

Version-Release number of selected component (if applicable):
kernel 2.6.16-1.2074_FC6smp 

Problem also exists with FC5 release kernel and samba-client

How reproducible:
1. Mount share from W2k3 server as above
2. touch a file 
3. try and vi from command line, error permission denied

Additional info:
[mick@mickpc ~]$ touch /sdrive/testfile.txt
[mick@mickpc ~]$ ls -l /sdrive/testfile.txt
-rw-rw-r-- 1 mick mick 0 Mar 22 14:55 /sdrive/testfile.txt
[mick@mickpc ~]$ echo "Test File" > /sdrive/testfile.txt
[mick@mickpc ~]$ ls -l /sdrive/testfile.txt
-rw-rw-r-- 1 mick mick 10 Mar 22  2006 /sdrive/testfile.txt
[mick@mickpc ~]$ cat /sdrive/testfile.txt
cat: /sdrive/testfile.txt: Permission denied
Comment 1 Jay Fenlason 2006-03-22 14:22:08 EST
cifs is part of the kernel, not part of Samba. 
Comment 2 Chuck Parks 2006-04-11 16:13:35 EDT
This is a known bug involving packet signing and W2k3. It has been fixed in
later releases of the 2.6.16 kernel. The Debian bug report below has links to
all the necessary information, including the patch.


Since this problem was introduced with the 2.6.16-1 kernel code, it also affects
the latest kernel updates for FC4.
Comment 3 Dave Jones 2006-10-16 16:59:13 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Steve French 2006-11-25 17:27:43 EST
Yes - this bug should be long fixed.  This bug could be returned.
Comment 5 Jeff Layton 2007-09-21 09:46:27 EDT
Closing based on Steve's comment. Please reopen if this is not fixed in more
recent releases.

Note You need to log in before you can comment on or make changes to this bug.